Download it now!
Bug 135128 - Writer: Changing shadow's color is changing shadow distance
Summary: Writer: Changing shadow's color is changing shadow distance
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.1.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-07-25 09:21 UTC by BogdanB
Modified: 2020-08-26 19:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
video showing the bug (1.02 MB, video/mp4)
2020-07-25 09:23 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description BogdanB 2020-07-25 09:21:44 UTC
Description:
In LibreOffice Writer insert a new table:
1. Right click - Table Properties - Borders - and change to a shadow to right bottom and increase Distance to 1 cm. Click ok and see the shadow ok.
2. Now go againg to Borders and change the shadow color to any color you want
3. The shadow distance is changed, but we needed just to change the color

Steps to Reproduce:
In LibreOffice Writer insert a new table:
1. Right click - Table Properties - Borders - and change to a shadow to right bottom and increase Distance to 1 cm. Click ok and see the shadow ok.
2. Now go againg to Borders and change the shadow color to any color you want
3. The shadow distance is changed, but we needed just to change the color

Actual Results:
Shadow distance is afected when color is changed

Expected Results:
Shadow distance should remain unchanged when only the color is changed


Reproducible: Always


User Profile Reset: Yes



Additional Info:
See video

Version: 7.1.0.0.alpha0+
Build ID: abea0d6647c7f1f7e76c73c26cb80e6a67dc5111
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 1 BogdanB 2020-07-25 09:23:12 UTC
Created attachment 163511 [details]
video showing the bug
Comment 2 BogdanB 2020-07-25 09:25:33 UTC
In version 5.4 it's ok
Version: 5.4.7.2
Build ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk2; 
Locale: ro-RO (ro_RO.UTF-8); Calc: group


Version: 6.3.1.2 it's already affected
Build ID: b79626edf0065ac373bd1df5c28bd630b4424273
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded
Comment 3 Attila Baraksó (NISZ) 2020-07-27 17:52:37 UTC
Reproduced in:

Version: 7.1.0.0.alpha0+
Build ID: abea0d6647c7f1f7e76c73c26cb80e6a67dc5111
CPU threads: 6; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-GB (hu_HU.UTF-8); UI: en-US
Calc: threaded
Comment 4 raal 2020-08-19 13:54:27 UTC
Adding CC to: Caolán McNamara
Bisected to
2a46043e1b9235bfedeb2e42ede267e67498d146 is the first bad commit
commit 2a46043e1b9235bfedeb2e42ede267e67498d146
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Thu Jan 24 11:12:00 2019 -0800

    source sha:ba5eaf86a84212ab70424fc83464acec5b0d51a0


commit ba5eaf86a84212ab70424fc83464acec5b0d51a0 [log]
author Caolán McNamara <caolanm@redhat.com> Thu Jan 24 12:51:03 2019 +0000
committer Caolán McNamara <caolanm@redhat.com> Thu Jan 24 20:02:53 2019 +0100
Resolves: tdf#122914 missing save_value
Comment 5 Commit Notification 2020-08-21 17:32:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d2e57b17af2fb5719009c290db3fd9ef81e78c67

Resolves: tdf#135128 should get the old attr, not the default attr

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2020-08-21 17:33:57 UTC
fixed in master, backport to 7-0 in gerrit
Comment 7 Commit Notification 2020-08-22 02:31:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/ce595857702734203a498fe4754ce990b17c5cb0

Resolves: tdf#135128 should get the old attr, not the default attr

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 BogdanB 2020-08-26 19:06:04 UTC
Thanks Caolan for solving this!

Verified in
Version: 7.1.0.0.alpha0+
Build ID: 217122387f6e0ef657b8ba85eae082b448901cec
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded